%global fontname overpass
%global fontconf 60-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	2.0
Release:	1%{?dist}
Summary:	Typeface based on the U.S. interstate highway road signage type system
License:	OFL
URL:		https://overpassfont.org
Source0:	https://github.com/RedHatBrand/overpass/releases/download/2.0/overpass-fonts-ttf-2.zip
Source1:	%{name}-fontconfig.conf
Source2:	https://raw.githubusercontent.com/andyfitz/overpass/master/README.md
Source3:        %{fontname}.metainfo.xml

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
Free and open source typeface based on the U.S. interstate highway road signage
type system; it is sans-serif and suitable for both body and titling text.

%prep
%setup -q -c %{name}-%{version}
cp %{SOURCE2} .

%build
# Nothing to do here.

%install
mv "Overpass Bold Italic.ttf" Overpass_Bold_Italic.ttf
mv "Overpass Extra Light.ttf" Overpass_Extra_Light.ttf
mv "Overpass ExtraLight Italic.ttf" Overpass_Extra_Light_Italic.ttf
mv "Overpass Italic.ttf" Overpass_Italic.ttf
mv "Overpass Light Italic.ttf" Overpass_Light_Italic.ttf
mv "Overpass Light.ttf" Overpass_Light.ttf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
		%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
		%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
		%{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc README.md
%license LICENSE.md
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Tue Aug 25 2015 Tom Callaway <spot@fedoraproject.org> - 1.01-11
- update to new overpass fonts (they now claim to be 1.000, but we're not going backwards)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.01-9
- Fix metainfo file error (rh#1159700)

* Sat Oct 18 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.01-8
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 12 2014 Tom Callaway <spot@fedoraproject.org> - 1.01-6
- add Light variant font

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 11 2012 Tom Callaway <spot@fedoraproject.org>
- License is now OFL or ASL 2.0

* Mon Sep 24 2012 Tom Callaway <spot@fedoraproject.org> - 1.01-2
- fix spaces vs tabs issue

* Mon Aug 27 2012 Tom Callaway <spot@fedoraproject.org> - 1.01-1
- initial package
